> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gobl.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a JSON schema

> Returns the JSON Schema for a GOBL type. Use the `bundle` query parameter to get a self-contained schema with all dependencies inlined.



## OpenAPI

````yaml /openapi/v0.json get /schemas/{path}
openapi: 3.1.0
info:
  title: GOBL API
  description: >-
    Go Business Language — build, validate, sign, and query tax-aware business
    documents.
  version: v0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  contact:
    name: Invopop
    url: https://gobl.org
servers:
  - url: https://gobl.dev/v0
    description: Production
  - url: /v0
    description: Local
security: []
tags:
  - name: Documents
    description: Build, validate, correct, and replicate GOBL documents.
  - name: Signing
    description: Sign and verify GOBL envelopes.
  - name: Reference
    description: JSON schemas, tax regimes, and format addons.
  - name: Meta
    description: Service metadata.
paths:
  /schemas/{path}:
    get:
      tags:
        - Reference
      summary: Get a JSON schema
      description: >-
        Returns the JSON Schema for a GOBL type. Use the `bundle` query
        parameter to get a self-contained schema with all dependencies inlined.
      operationId: getSchema
      parameters:
        - name: path
          in: path
          required: true
          schema:
            type: string
          example: bill/invoice
        - name: bundle
          in: query
          required: false
          description: >-
            When present, returns a self-contained schema with all transitive
            `$ref` dependencies resolved into `$defs`.
          schema:
            type: boolean
          allowEmptyValue: true
      responses:
        '200':
          description: JSON Schema document
          content:
            application/json:
              schema: {}
        '404':
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        code:
          type: integer
          description: HTTP status code.
          example: 422
        key:
          type: string
          description: Machine-readable error key.
        message:
          type: string
          description: Human-readable message.
        faults:
          type: array
          description: Validation faults.
          items:
            type: object
            properties:
              properties:
                type: array
                items:
                  type: string
                description: Property paths that failed.
              description:
                type: string

````